الموقع حاليا في اطار تجربة BETA

معالجات الإشعارات

GET https://link.pc.sa/api/notification-handlers/
curl --request GET \
--url 'https://link.pc.sa/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات تفاصيل الوصف
search اختياري سلسلة سلسلة البحث
search_by اختياري سلسلة ما هو الحقل الذي تبحث عنه. القيم المسموح بها هي: name.
is_enabled اختياري منطقي
type اختياري سلسلة Warning: Undefined property: stdClass::$x_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$internal_notification_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$push_subscriber_id_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 ما هو الحقل الذي تبحث عنه. القيم المسموح بها هي: email, webhook, slack, discord, telegram, microsoft_teams.
datetime_field اختياري سلسلة القيم المسموح بها: datetime, last_datetime
datetime_start اختياري سلسلة Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end اختياري سلسلة Filter results up to this datetime. Y-m-d H:i:s format.
order_by اختياري سلسلة بأي حقل يتم ترتيب النتائج. القيم المسموح بها هي: notification_handler_id, datetime, last_datetime, name.
order_type اختياري سلسلة ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي.
search اختياري سلسلة سلسلة البحث
search_by اختياري سلسلة ما هو الحقل الذي تبحث عنه. القيم المسموح بها هي: name.
is_enabled اختياري منطقي
type اختياري سلسلة Warning: Undefined property: stdClass::$x_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$internal_notification_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$push_subscriber_id_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 ما هو الحقل الذي تبحث عنه. القيم المسموح بها هي: email, webhook, slack, discord, telegram, microsoft_teams.
datetime_field اختياري سلسلة القيم المسموح بها: datetime, last_datetime
datetime_start اختياري سلسلة Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end اختياري سلسلة Filter results up to this datetime. Y-m-d H:i:s format.
order_by اختياري سلسلة بأي حقل يتم ترتيب النتائج. القيم المسموح بها هي: notification_handler_id, datetime, last_datetime, name.
order_type اختياري سلسلة ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي تريد النتائج منها. الافتراضي هو 1.
results_per_page اختياري عدد صحيح كم عدد النتائج التي تريدها لكل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. الافتراضي هو 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-06-05 21:43:08",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://link.pc.sa/api/notification-handlers?page=1",
        "last": "https://link.pc.sa/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://link.pc.sa/api/notification-handlers?page=1"
    }
}
GET https://link.pc.sa/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://link.pc.sa/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-06-05 21:43:08",
    }
}
POST https://link.pc.sa/api/notification-handlers
Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/rabiypda/public_html/themes/altum/views/api-documentation/notification_handlers.php on line 451 Warning: Undefined property: stdClass::$x_is_enabled in /home/rabiypda/public_html/themes/altum/views/api-documentation/notification_handlers.php on line 462 Warning: Undefined property: stdClass::$push_subscriber_id_is_enabled in /home/rabiypda/public_html/themes/altum/views/api-documentation/notification_handlers.php on line 497
المعلمات تفاصيل الوصف
name مطلوب سلسلة -
type مطلوب سلسلة Warning: Undefined property: stdClass::$x_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$internal_notification_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$push_subscriber_id_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 القيم المسموح بها: email, webhook, slack, discord, telegram, microsoft_teams
email اختياري سلسلة متاح عندما: type = email البريد الإلكتروني
webhook اختياري سلسلة متاح عندما: type = webhook عنوان URL للويب هوك
slack اختياري سلسلة متاح عندما: type = slack عنوان URL لربط Slack
discord اختياري سلسلة متاح عندما: type = discord رابط ويب هوك Discord
telegram اختياري سلسلة متاح عندما: type = telegram رمز API لتليجرام
telegram_chat_id اختياري سلسلة متاح عندما: type = telegram معرّف دردشة تيليجرام
microsoft_teams اختياري سلسلة متاح عندما: type = microsoft_teams عنوان URL الخاص بـ Microsoft Teams webhook
curl --request POST \
--url 'https://link.pc.sa/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1
    }
}
POST https://link.pc.sa/api/notification-handlers/{notification_handler_id}
Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/rabiypda/public_html/themes/altum/views/api-documentation/notification_handlers.php on line 696 Warning: Undefined property: stdClass::$x_is_enabled in /home/rabiypda/public_html/themes/altum/views/api-documentation/notification_handlers.php on line 707 Warning: Undefined property: stdClass::$push_subscriber_id_is_enabled in /home/rabiypda/public_html/themes/altum/views/api-documentation/notification_handlers.php on line 742
المعلمات تفاصيل الوصف
name اختياري سلسلة -
type اختياري سلسلة Warning: Undefined property: stdClass::$x_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$google_chat_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$internal_notification_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 Warning: Undefined property: stdClass::$push_subscriber_id_is_enabled in /home/rabiypda/public_html/app/includes/notification_handlers.php on line 22 القيم المسموح بها: email, webhook, slack, discord, telegram, microsoft_teams
email اختياري سلسلة متاح عندما: type = email البريد الإلكتروني
webhook اختياري سلسلة متاح عندما: type = webhook عنوان URL للويب هوك
slack اختياري سلسلة متاح عندما: type = slack عنوان URL لربط Slack
discord اختياري سلسلة متاح عندما: type = discord رابط ويب هوك Discord
telegram اختياري سلسلة متاح عندما: type = telegram رمز API لتليجرام
telegram_chat_id اختياري سلسلة متاح عندما: type = telegram معرّف دردشة تيليجرام
microsoft_teams اختياري سلسلة متاح عندما: type = microsoft_teams عنوان URL الخاص بـ Microsoft Teams webhook
is_enabled اختياري منطقي -
curl --request POST \
--url 'https://link.pc.sa/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://link.pc.sa/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://link.pc.sa/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \